<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class Pack extends Model
{
    protected $table = 'pack';

    public function client()
    {
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function shipment()
    {
        return $this->hasOne(Shipment::class, 'id', 'shipment_id');
    }

    public function supplyOrders() {
        return $this->hasMany(SupplyOrder::class, 'pack_id', 'id');
    }
}
